/* You can add global styles to this file, and also import other style files */

html {
    font-size: 10px;
    font-family: 'Bitter', serif;
    background-color: black;
    width: 100%;
}

#section1 {
    background-image: url("../src/assets/prsnl.jpg");
    background-size: 200vh;
    height: 100vh;
    width: 100%;
    
}
#section1 h5{
    color: aliceblue;
    font-family: 'Bitter', serif;
    font-size: 20px;
    margin-top: 32px;
}
#section1 h2{
    color: aliceblue;
    font-family: 'Bitter', serif;
    font-size: 40px;
    margin-top: 32px;
}
#section1 h4{
    color: aliceblue;
    font-family: 'Bitter', serif;
    font-size: 25px;
    margin-top: 32px;
    margin-bottom: 0px;
}

#section2 {
    background-color: black;
    background-size: 200vh;
    height: 100vh;
    padding-top:13vh;
    margin-bottom: 0%;
}
#section3 {
    background-color: black;
    background-size: 200vh;
    height: 100vh;
    width: 100%;
    padding-top: 0;
    margin-top: -2px;
    overflow: hidden;
}
.cards h1{
    margin-left: 40%;
}
#section4 {
    background-color: black;
    padding-top: 2vh;
    padding-bottom: 2vh;
    margin: 0;
}
#section4 h4{
    margin-top: 3vh;
}
#section5 {
    background-color: black;
    background-size: 200vh;
    height: 100vh;
    width: 100%;
    padding-top:13vh;
}
header {
    width: 100%;
    height: 100%;
    background-color: #000;
    position: sticky;
    z-index: 99;
}

.overlay {
    width: 100%;
    height: 100%;
    background-color: black;
    position: fixed;
    transform: scaleX(0);
    transition: 1s;
}

nav {
    width: 100%;
    height: 6rem;
    line-height: 6rem;
    display: flex;
    z-index: inherit;
    justify-content: space-evenly;
    text-transform: uppercase;
    background-color: rgba(17, 17, 17, 0.979);
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .2);
    overflow: hidden;
    opacity: 80%;
    position: fixed !important;
    top: 0;
}

a {
    text-decoration: none;
}

.brand {
    font-family: 'Bitter', serif;
    font-size: 1.5rem;
    color: black;
    background-color: #00ccff;
    padding: 0 1rem;
    text-decoration: none;
    margin-left: -53px;
}

.brand:hover {
    text-decoration: none;
    color: black;
}

nav ul {
    display: flex;
    list-style: none;
    margin-top: 0em;
}

.navlink {
    font-family: 'Bitter', serif;
    font-size: 1.5rem;
    color: #00ccff;
    margin-right: 2rem;
    padding: 0 1rem;
    display: block;
    position: relative;
    text-decoration: none;
    transform-style: preserve-3d;
    transform-origin: top;
    transition: 450ms cubic-bezier(0.55, 0.055, 0.675, 0.19);
}

.navlink:hover {
    transform: rotateX(90deg);
    text-decoration: none;
}

.navitem:last-child .navlink {
    margin-right: 0;
}

.navlink::after {
    background-color: #00ccff;
    content: attr(data-text);
    position: absolute;
    left: 0;
    bottom: -100%;
    padding: inherit;
    color: black;
    transform: rotateX(-90deg);
    transform-origin: top;
}

.container {
    position: static;
    z-index: 0;
    margin: 3% 5% 1% 5%;
    background-color: #1b1b1b;
    box-shadow: 0 .5rem 1rem rgba(54, 54, 54, 0.239);
    padding: 5vh;
    
}
.container2 {
    position: static;
    z-index: 0;
    margin: 1% 33% 1% 35%;
    color: white ;
    font-size: 20px;
    background-color: #1b1b1b;
    box-shadow: 0 .5rem 1rem rgba(54, 54, 54, 0.239);
    padding: 5vh;
}

.container3 {
    position: static;
    z-index: 0;
    margin: 3% 5% 1% 5%;
    background-color: #1b1b1b;
    box-shadow: 0 .5rem 1rem rgba(54, 54, 54, 0.239);
    padding: 5vh;
    
}
#name, #mail,#message {
    width: 350%;
    height: 300% !important;
}

footer{
    position: fixed;
    padding: 10px 20px;
    width: 100%;
    background: #1b1b1b;
    color: white;
    bottom: 0;
    left: 0;
    text-align: center;
    }

ul.social {
    margin-top: 45px;
    margin-left: -3%;
}

ul.social li {
    display: inline-block;
    margin-right: 3%;
    margin-top: 5%;
}

ul.social li a {
    line-height: 40px;
    width: 40px;
    background: black;
    border-radius: 5px;
    display: inline-block;
    text-align: center;
    color: white;
    font-size: 25px;
    margin-right: 5%;
}

ul.social li:hover a {
    background: white;
    color: blue;
}

ul.info li {
    margin-top: 10px;
    margin-bottom: 20px;
    margin-left: 5%;
    margin-right: 5%;
}

ul.info li:hover {
    text-decoration: none;
}

ul.info li a i {
    position: absolute;
    left: 0px;
    font-size: 20px;
    color: blue;
    margin-left: 5%;
}

.about-img{
    height: 50vh;
    width: 100%;
}
.card{
    margin: 25px 10px 0 100px;
    width: 10px;
    height: auto;
    background-color: #1b1b1b;
    color: aliceblue;
}

.row {
    padding-top: 0% 2vw -10% 2vw;
}

@media screen and (max-width: 768px) {
    #section1 {
        background-image: url("../src/assets/prsnl2.jpg");
        height: auto;
        background-size: inherit;
        background-repeat: no-repeat;
    }
    #section1 h5{
        color: aliceblue;
        font-family: 'Bitter', serif;
        font-size: 10px;
        margin-top: 22px;
    }
    #section1 h2{
        color: aliceblue;
        font-family: 'Bitter', serif;
        font-size: 27px;
        margin-top: 22px;
    }
    #section1 h4{
        color: aliceblue;
        font-family: 'Bitter', serif;
        font-size: 15px;
        margin-top: 12px;
    }
    
    #section2{
        padding-top: 2%;
        height: auto;
        padding-left: 0;
        padding-right: 2%;
    }
    #section3{
        padding-top: 4%;
        height: auto;
        padding-left: 0;
        padding-right: 2%;
    }
    .container2{
        margin: 0% 1% 1% 1%;
        padding-left: 0px;
    }
    #name, #mail,#message {
        width: 90%;
        height: 300% !important;
    }
    .cards h1{
        margin-left: 35%;
    }
    .container{
        margin: 0% 1% 1% 1%;
    }
    .card{
        margin: 25px 0px 0 0px;
        height: auto;
        background-color: #1b1b1b;
        color: aliceblue;
        padding-right: 0;
    }

    .brand {
        margin: 0 auto;
        animation: initial;
        border-radius: 100%;
        width: 10rem;
        height: 10rem;
        display: flex;
        align-items: center;
        align-content: content;
    }
    .navlink::after {
        color: white;
        background-color: white;
    }
    header {
        overflow: hidden;
    }
    nav {
        position: inherit;
        top: 0;
        left: 0;
        width: 50rem;
        height: 100vh;
        opacity: 100%;
        line-height: initial;
        flex-direction: column;
        box-shadow: none;
        text-align: center;
        transform: rotateY(180deg);
        transform-origin: top left;
        transition: 450ms cubic-bezier(0.55, 0.055, 0.675, 0.19);
    }
    nav ul {
        flex-direction: column;
        margin-top: -5rem;
    }
    .navitem:nth-child(n) {
        animation: initial;
    }
    .navlink {
        margin: 2rem 0;
    }
    .navlink:hover {
        transform: none;
        text-decoration: none;
    }
    header .open nav {
        transform: rotateY(0);
    }
    .menu {
        padding: 2rem 2.5rem;
        position: fixed;
        top: 1rem;
        right: 1rem;
        background-color: black;
        z-index: 999;
        border-radius: 3px;
        cursor: pointer;
        display: none;
    }
    .bar, .bar::before, .bar::after {
        content: '';
        position: absolute;
        width: 3rem;
        height: 2px;
        background-color: white;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        margin: auto;
        transition: all 650ms;
        z-index: inherit;
    }
    .bar::before {
        top: -2rem;
    }
    .bar::after {
        top: 2rem;
    }
    .open .bar {
        background-color: transparent;
    }
    .open .bar::before {
        transform: rotate(45deg);
    }
    .open .bar::after {
        transform: rotate(-45deg);
    }
    .open .bar::before, .open .bar::after {
        top: 0;
    }
    .menu {
        display: block;
    }
    .overlay.open {
        opacity: 1;
        transform: scaleX(1);
    }
}